Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals
All | Functions | Variables | Typedefs | Defines
b | c | f | h | m | r | s | t | u | w

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - b -

- BYTE_ORDER : uipopt.h

### - c -

- cgitab : cgi.c, cgi.h

### - f -

- fs_init() : fs.c, fs.h
- fs_open() : fs.c, fs.h

### - h -

- htons() : uip.c, uip.h
- HTONS : uip.h
- httpd_init() : httpd.c, httpd.h

### - m -

- MEMB : memb.h
- memb_alloc() : memb.c, memb.h
- memb_free() : memb.c, memb.h
- memb_init() : memb.c, memb.h
- memb_ref() : memb.c, memb.h

### - r -

- resolv_conf() : resolv.c, resolv.h
- resolv_found() : resolv.h
- resolv_getserver() : resolv.c, resolv.h
- resolv_init() : resolv.c, resolv.h
- resolv_lookup() : resolv.c, resolv.h
- resolv_query() : resolv.c, resolv.h

### - s -

- slipdev_char_poll() : slipdev.h
- slipdev_char_put() : slipdev.h
- slipdev_init() : slipdev.c, slipdev.h
- slipdev_poll() : slipdev.c, slipdev.h
- slipdev_send() : slipdev.c, slipdev.h
- smtp_configure() : smtp.c, smtp.h
- smtp_done() : smtp.h
- SMTP_ERR_OK : smtp.h
- smtp_send() : smtp.c, smtp.h

### - t -

- telnetd_close() : telnetd.c, telnetd.h
- telnetd_connected() : telnetd-shell.c, telnetd.h
- telnetd_init() : telnetd.c, telnetd.h
- telnetd_input() : telnetd-shell.c, telnetd.h
- TELNETD_LINELEN : telnetd.h
- TELNETD_NUMLINES : telnetd.h
- telnetd_output() : telnetd.c, telnetd.h
- telnetd_prompt() : telnetd.c, telnetd.h

### - u -

- u16_t : uipopt.h
- u8_t : uipopt.h
- uip_abort : uip.h
- uip_aborted : uip.h
- uip_acc32 : uip.c, uip.h
- uip_acked : uip.h
- UIP_ACTIVE_OPEN : uipopt.h
- uip_add32() : uip_arch.h
- UIP_APPCALL : smtp.h
- uip_appdata : uip.c, uip.h
- UIP_APPSTATE_SIZE : smtp.h
- uip_arp_arpin() : uip_arp.c, uip_arp.h
- uip_arp_init() : uip_arp.c, uip_arp.h
- uip_arp_ipin() : uip_arp.c, uip_arp.h
- UIP_ARP_MAXAGE : uipopt.h
- uip_arp_out() : uip_arp.c, uip_arp.h
- uip_arp_timer() : uip_arp.c, uip_arp.h
- UIP_ARPTAB_SIZE : uipopt.h
- uip_buf : uip.c, uip.h
- UIP_BUFSIZE : uipopt.h
- uip_chksum() : uip_arch.h
- uip_close : uip.h
- uip_closed : uip.h
- uip_connect() : uip.h
- uip_connected : uip.h
- UIP_CONNS : uipopt.h
- uip_datalen : uip.h
- UIP_DRIPADDR0 : uipopt.h
- UIP_DRIPADDR1 : uipopt.h
- UIP_DRIPADDR2 : uipopt.h
- UIP_DRIPADDR3 : uipopt.h
- UIP_ETHADDR0 : uipopt.h
- UIP_ETHADDR1 : uipopt.h
- UIP_ETHADDR2 : uipopt.h
- UIP_ETHADDR3 : uipopt.h
- UIP_ETHADDR4 : uipopt.h
- UIP_ETHADDR5 : uipopt.h
- UIP_FIXEDADDR : uipopt.h
- UIP_FIXEDETHADDR : uipopt.h
- uip_getdraddr : uip_arp.h
- uip_gethostaddr : uip.h
- uip_getnetmask : uip_arp.h
- uip_init() : uip.c, uip.h
- uip_initialmss : uip.h
- uip_input : uip.h
- uip_ipaddr : uip.h
- UIP_IPADDR0 : uipopt.h
- UIP_IPADDR1 : uipopt.h
- UIP_IPADDR2 : uipopt.h
- UIP_IPADDR3 : uipopt.h
- uip_ipchksum() : uip_arch.h
- uip_listen() : uip.c, uip.h
- UIP_LISTENPORTS : uipopt.h
- UIP_LLH_LEN : uipopt.h
- uip_log() : uipopt.h
- UIP_LOGGING : uipopt.h
- UIP_MAXRTX : uipopt.h
- UIP_MAXSYNRTX : uipopt.h
- uip_mss : uip.h
- UIP_NETMASK0 : uipopt.h
- UIP_NETMASK1 : uipopt.h
- UIP_NETMASK2 : uipopt.h
- UIP_NETMASK3 : uipopt.h
- uip_newdata : uip.h
- uip_periodic : uip.h
- uip_periodic_conn : uip.h
- UIP_PINGADDRCONF : uipopt.h
- uip_poll : uip.h
- UIP_REASS_MAXAGE : uipopt.h
- UIP_REASSEMBLY : uipopt.h
- UIP_RECEIVE_WINDOW : uipopt.h
- uip_restart : uip.h
- uip_rexmit : uip.h
- UIP_RTO : uipopt.h
- uip_send : uip.h
- uip_setdraddr : uip_arp.h
- uip_setethaddr : uip_arp.h
- uip_sethostaddr : uip.h
- uip_setnetmask : uip_arp.h
- uip_stat : uip.h
- UIP_STATISTICS : uipopt.h
- uip_stats_t : uipopt.h
- uip_stop : uip.h
- uip_stopped : uip.h
- UIP_TCP_MSS : uipopt.h
- uip_tcpchksum() : uip_arch.h
- UIP_TIME_WAIT_TIMEOUT : uipopt.h
- uip_timedout : uip.h
- UIP_TTL : uipopt.h
- UIP_UDP : uipopt.h
- UIP_UDP_APPCALL : uipopt.h
- UIP_UDP_CHECKSUMS : uipopt.h
- UIP_UDP_CONNS : uipopt.h
- uip_udp_new() : uip.c, uip.h
- uip_udp_periodic : uip.h
- uip_udp_periodic_conn : uip.h
- uip_udp_remove : uip.h
- uip_udp_send : uip.h
- uip_unlisten() : uip.c, uip.h
- UIP_URGDATA : uipopt.h
- uip_urgdatalen : uip.h

### - w -

- webclient_aborted() : webclient.h
- webclient_close() : webclient.c, webclient.h
- webclient_closed() : webclient.h
- webclient_connected() : webclient.h
- webclient_datahandler() : webclient.h
- webclient_filename() : webclient.c, webclient.h
- webclient_get() : webclient.c, webclient.h
- webclient_hostname() : webclient.c, webclient.h
- webclient_init() : webclient.c, webclient.h
- webclient_mimetype() : webclient.c, webclient.h
- webclient_port() : webclient.c, webclient.h
- webclient_timedout() : webclient.h